<div class="newAsetMain">
    <div class="dataTable linksListTable newAssetTable subNormal">
        <div class="dataRow header">
            <div class="rowBox">
                <ul class="rowCont">
                    <li >Taxi</li><!--ng-click="mainTabSelected(linkAssetsVariables.constants.ASSET_NAME_CAR,'Car')"-->
                    <li class=""></li>
                    <li class="">OBD Devices</li> <!--ng-click="mainTabSelected(linkAssetsVariables.constants.ASSET_NAME_OBD_DEVICE,'Obd Device')"-->
                    <li class=""></li>
                    <li class="" >RFID Tag</li><!--ng-click="mainTabSelected(linkAssetsVariables.constants.ASSET_NAME_RFID,'RFID Tag')"-->
                    <li class=""></li>
                    <li class="" >Drivers</li><!--ng-click="mainTabSelected(linkAssetsVariables.constants.ASSET_NAME_DRIVER,'Driver')"-->
                </ul>
            </div>
        </div>
        <div class="dataRow">
            <div class="rowBox active">
                <div class="basicCont">
                    <ul class="rowCont">
                        <li><!--W24H6780--></li>
                        <li class=""></li>
                        <li class=""><!--Rh3167--></li>
                        <li class=""></li>
                        <li class=""><!--ID290--></li>
                        <li class=""></li>
                        <li class=""></li>
                    </ul>
                    <ul class="rowCont rowDetails divider" ng-if="newLinkAssetForm.$pristine">
                        <li class="asset" ng-click="changeTab(linkAssetsVariables.constants.ASSET_NAME_CAR,'Car',false)">
                            <div class="assetIcon icon hasData">
                                <img src="images/carIcon.png" alt="">
                            </div>
                        </li>
                        <li class="connection">
                            <div class="connectionIcon icon">
                               <!-- <img src="images/connectedIcon.png" alt="">-->
                                <img src="images/connectedIcon.png" alt="" ng-show="linkAssetsVariables.obdDevice.data!=''">
                                <img src="images/notconnectedIcon.png" alt="" ng-show="linkAssetsVariables.obdDevice.data===''">
                            </div>
                        </li>
                        <li class="obd" ng-click="changeTab(linkAssetsVariables.constants.ASSET_NAME_OBD_DEVICE,'Obd Device',false)">
                            <div class="obdIcon icon hasData">
                                <img src="images/obdConnected.png" alt="" ng-show="linkAssetsVariables.obdDevice.data!=''">
                                <img src="images/obdNotConnected.png" alt="" ng-show="linkAssetsVariables.obdDevice.data===''">
                            </div>
                        </li>
                        <li class="connection">
                            <div class="connectionIcon icon">
                                <img src="images/connectedIcon.png" alt="" ng-show="linkAssetsVariables.rfIdTag.data!=''">
                                <img src="images/notconnectedIcon.png" alt="" ng-show="linkAssetsVariables.rfIdTag.data===''">
                            </div>
                        </li>
                        <li class="rfid" ng-click="changeTab(linkAssetsVariables.constants.ASSET_NAME_RFID,'RFID Tag',false)">
                            <div class="rfidIcon icon hasData">
                                <img src="images/rfidConnected.png" alt="" ng-show="linkAssetsVariables.rfIdTag.data!=''">
                                <img src="images/rfidNotConnected.png" alt="" ng-show="linkAssetsVariables.rfIdTag.data===''">

                            </div>
                        </li>
                        <li class="connection">
                            <div class="connectionIcon icon">
                                <img src="images/connectedIcon.png" alt="" ng-show="linkAssetsVariables.driver.data!=''">
                                <img src="images/notconnectedIcon.png" alt="" ng-show="linkAssetsVariables.driver.data===''">
                            </div>
                        </li>
                        <li class="drivers" ng-click="changeTab(linkAssetsVariables.constants.ASSET_NAME_DRIVER,'Driver',false)">
                            <div class="driverIcon icon  hasData none">
                                <img src="images/Driver_active.png" alt=""
                                 ng-show="linkAssetsVariables.driver.data!=''">
                                <img src="images/Driver_inactive.png" alt=""
                                     ng-show="linkAssetsVariables.driver.data===''">

                                <div class="num" ng-show="linkAssetsVariables.driver.data!=''">1</div>
                                <div class="num" ng-show="linkAssetsVariables.driver.data===''">0</div>
                            </div>
                        </li>
                        <div class="marker"></div>
                    </ul>
                    <ul class="rowCont rowDetails divider" ng-if="!newLinkAssetForm.$pristine">
                        <li class="asset" ng-if="!newLinkAssetForm.$invalid"
                        ng-click="changeTab(linkAssetsVariables.constants.ASSET_NAME_CAR,'Car',true);newLinkAssetForm.$setPristine()">
                            <div class="assetIcon icon hasData">
                                <img src="images/carIcon.png" alt="">
                            </div>
                        </li>
                        <li class="asset" ng-if="newLinkAssetForm.$invalid"
                        ng-click="tabSelectedOnDirty(linkAssetsVariables.constants.ASSET_NAME_CAR,'Car')">
                            <div class="assetIcon nextAssetDetailsPopUpBtn icon hasData">
                             <!--ng-class="{'hasData' : tabSelectedConfirmed && typeSelectedOnDIrty==linkAssetsVariables.constants.ASSET_NAME_CAR}">-->
                                <img src="images/carIcon.png" alt="">
                            </div>
                        </li>
                        <li class="connection">
                            <div class="connectionIcon icon">
                                <!-- <img src="images/connectedIcon.png" alt="">-->
                                <img src="images/connectedIcon.png" alt="" ng-show="linkAssetsVariables.obdDevice.data!=''">
                                <img src="images/notconnectedIcon.png" alt="" ng-show="linkAssetsVariables.obdDevice.data===''">
                            </div>
                        </li>
                        <li class="obd" ng-if="!newLinkAssetForm.$invalid"
                        ng-click="changeTab(linkAssetsVariables.constants.ASSET_NAME_OBD_DEVICE,'Obd Device',true);newLinkAssetForm.$setPristine()">
                            <div class="obdIcon icon hasData">
                                <img src="images/obdConnected.png" alt="" ng-show="linkAssetsVariables.obdDevice.data!=''">
                                <img src="images/obdNotConnected.png" alt="" ng-show="linkAssetsVariables.obdDevice.data===''">
                            </div>
                        </li>
                        <li class="obd" ng-if="newLinkAssetForm.$invalid"
                        ng-click="tabSelectedOnDirty(linkAssetsVariables.constants.ASSET_NAME_OBD_DEVICE,'Obd Device')">
                            <div class="obdIcon nextAssetDetailsPopUpBtn icon hasData">
                         <!--ng-class="{'hasData' : tabSelectedConfirmed && typeSelectedOnDIrty==linkAssetsVariables.constants.ASSET_NAME_OBD_DEVICE}">-->
                                <img src="images/obdConnected.png" alt="" ng-show="linkAssetsVariables.obdDevice.data!=''">
                                <img src="images/obdNotConnected.png" alt="" ng-show="linkAssetsVariables.obdDevice.data===''">
                            </div>
                        </li>
                        <li class="connection">
                            <div class="connectionIcon icon">
                                <img src="images/connectedIcon.png" alt="" ng-show="linkAssetsVariables.rfIdTag.data!=''">
                                <img src="images/notconnectedIcon.png" alt="" ng-show="linkAssetsVariables.rfIdTag.data===''">
                            </div>
                        </li>
                        <li class="rfid" ng-if="!newLinkAssetForm.$invalid"
                        ng-click="changeTab(linkAssetsVariables.constants.ASSET_NAME_RFID,'RFID Tag',true);newLinkAssetForm.$setPristine()">
                            <div class="rfidIcon icon hasData">
                                <img src="images/rfidConnected.png" alt="" ng-show="linkAssetsVariables.rfIdTag.data!=''">
                                <img src="images/rfidNotConnected.png" alt="" ng-show="linkAssetsVariables.rfIdTag.data===''">

                            </div>
                        </li>
                        <li class="rfid" ng-if="newLinkAssetForm.$invalid"
                        ng-click="tabSelectedOnDirty(linkAssetsVariables.constants.ASSET_NAME_RFID,'RFID Tag')">
                            <div class="rfidIcon nextAssetDetailsPopUpBtn icon hasData">
                             <!--ng-class="{'hasData' : tabSelectedConfirmed && typeSelectedOnDIrty==linkAssetsVariables.constants.ASSET_NAME_RFID}">-->
                                <img src="images/rfidConnected.png" alt="" ng-show="linkAssetsVariables.rfIdTag.data!=''">
                                <img src="images/rfidNotConnected.png" alt="" ng-show="linkAssetsVariables.rfIdTag.data===''">

                            </div>
                        </li>
                        <li class="connection">
                            <div class="connectionIcon icon">
                                <img src="images/connectedIcon.png" alt="" ng-show="linkAssetsVariables.driver.data!=''">
                                <img src="images/notconnectedIcon.png" alt="" ng-show="linkAssetsVariables.driver.data===''">
                            </div>
                        </li>
                        <li class="drivers" ng-if="!newLinkAssetForm.$invalid"
                        ng-click="changeTab(linkAssetsVariables.constants.ASSET_NAME_DRIVER,'Driver',true);newLinkAssetForm.$setPristine()">
                            <div class="driverIcon icon  hasData none">
                                <img src="images/Driver_active.png" alt=""
                                     ng-show="linkAssetsVariables.driver.data!=''">
                                <img src="images/Driver_inactive.png" alt=""
                                     ng-show="linkAssetsVariables.driver.data===''">
                                <div class="num" ng-show="linkAssetsVariables.driver.data!=''">1</div>
                                <div class="num" ng-show="linkAssetsVariables.driver.data===''">0</div>
                            </div>
                        </li>
                        <li class="drivers" ng-if="newLinkAssetForm.$invalid"
                        ng-click="tabSelectedOnDirty(linkAssetsVariables.constants.ASSET_NAME_DRIVER,'Driver')">
                            <div class="driverIcon nextAssetDetailsPopUpBtn icon none hasData">
                            <!--ng-class="{'hasData' : tabSelectedConfirmed && typeSelectedOnDIrty==linkAssetsVariables.constants.ASSET_NAME_DRIVER}">-->
                                <img src="images/Driver_active.png" alt=""
                                     ng-show="linkAssetsVariables.driver.data!=''">
                                <img src="images/Driver_inactive.png" alt=""
                                     ng-show="linkAssetsVariables.driver.data===''">
                                <div class="num" ng-show="linkAssetsVariables.driver.data!=''">1</div>
                                <div class="num" ng-show="linkAssetsVariables.driver.data===''">0</div>
                            </div>
                        </li>
                        <div class="marker"></div>
                    </ul>
                </div>
            </div>
        </div>
    </div>
    <div class="assetDetails">

        <div class="addCarSec" ng-init="addCarType='newCar'">
            <div class="midTitle helvMedium borderBtm paddingBtm marginBtmSml ">Add New {{linkAssetsVariables.mainTab.assetLabel}}</div>
            <ul class="sectionTabs simple subNormal marginBtm">
                <li ng-class="{active: addCarType=='newCar'}"
                ng-click="addCarType='newCar'">New {{linkAssetsVariables.mainTab.assetLabel}}</li>
                <li ng-class="{active: addCarType=='existingCar'}"
                ng-click="addCarType='existingCar'">Existing {{linkAssetsVariables.mainTab.assetLabel}}</li>
            </ul>
            <div class="newCar" ng-show="addCarType=='newCar'">
                <form name="newLinkAssetForm" class="css-form" novalidate>
                    <div class="marginBtmSml">
                        <ul class="form flow dynamic">
                            <li ng-repeat="formEle in linkAssetsVariables.assetsFormDetails">
                                <div ng-if="formEle.assetName">
                                    <div ng-if="!formEdit" ng-init="value.assets.assetName = formEle.model"></div>
                                    <!--<div ng-if="formEdit"
                                    ng-init="value.assets.assetName = value.assets[formEle.model]"></div>-->
                                </div>
                                <div ng-show="formEle.type!='dropDown'">
                                    <div class="tag capitalize">{{formEle.name}}
                                    <span class="error mainNormal" ng-if="formEle.required">*</span></div>
                                    <input ng-if="formEle.type!='date'" name="{{formEle.model}}" type="{{formEle.type}}"
                                           ng-model="value.assets[formEle.model]"
                                           placeholder="{{formEle.description}}"
                                           ng-required="formEle.required">
                                    <input ng-if="formEle.type ==='date'"
                                           name="{{formEle.model}}" type="text"
                                           ng-model="value.assets[formEle.model]"
                                           placeholder="{{formEle.description}}"
                                           ng-required="formEle.required"
                                           date="value.assets[formEle.model]" date-picker>
                                    <div class="error small marginTopShort"
                                         ng-show="!newLinkAssetForm[formEle.model].$pristine
                                         && newLinkAssetForm[formEle.model].$invalid">
                                        Please Enter {{formEle.name}} Of Type "{{formEle.type | uppercase}}"
                                    </div>
                                    <!-- <div class="error small marginTopShort" ng-if="formEle.name==='Sensor Name' && !sensorControllerObjects.addingSensor.isSensorNameUnique">
                                         Sensor Name {{$parent.sensor.sensorName}} Already Exist
                                     </div>-->
                                </div>
                                <div ng-show="formEle.type==='dropDown'">
                                    <div ng-if="!formEdit"
                                     ng-init="value.assets[formEle.model]=formEle.dropDownDetails.defaultValue"></div>
                                    <div class="tag capitalize">{{formEle.name}}
                                        <span class="error mainNormal" ng-if="formEle.required">*</span>
                                    </div>
                                    <div class="dropDown midBlock personCat">
                                        <div class="head" data-init="0">
                                            <div class="headTitle">{{value.assets[formEle.model]}}</div>

                                        </div>
                                        <ul class="list">
                                            <li ng-repeat="dropDownValue in formEle.dropDownDetails.dropDownValues"
                                                ng-click="value.assets[formEle.model]=dropDownValue">
                                                {{dropDownValue}}
                                            </li>
                                        </ul>
                                    </div>
                                </div>
                            </li>

                        </ul>
                    </div>
                </form>

            </div>
            <div class="existingCar"  ng-show="addCarType=='existingCar'">
                <ul class="form paddingBtmSml">
                    <li>
                        <div class="tag">{{linkAssetsVariables.mainTab.assetLabel}} name</div>
                        <input type="text" placeholder="Please enter {{linkAssetsVariables.mainTab.assetLabel}} name">
                    </li>

                </ul>
            </div>
        </div>
        <div class="btnMain roboRegular small floatLeft" >

           <!--invalid: {{newLinkAssetForm.$invalid}}
            pristine: {{newLinkAssetForm.$pristine}}-->
        <span ng-if="linkAssetsVariables[linkAssetsVariables.mainTab.selected].previous.isExist">
            <button class="btn red marginRgt prevAssetDetailsBtn"
            data-hint=1 ng-click="setDirectionOfPointer('previous');saveAssetDetails();newLinkAssetForm.$setPristine()"
            ng-if="!newLinkAssetForm.$invalid">
                <img src="images/leftArrowWhite.png" class="icon midBlock" alt="">
                <div class="midBlock marginLeftSrt">PREV</div>
            </button>
        </span>

        <!-- previous  btn to populates pop up-->
        <span ng-if="linkAssetsVariables[linkAssetsVariables.mainTab.selected].previous.isExist">
            <span ng-if="newLinkAssetForm.$pristine">
                <button class="btn red prevAssetDetailsBtn marginRgt" data-hint=1
                        ng-if="newLinkAssetForm.$invalid"
                ng-click="setDirectionOfPointer('previous');moveToNextAsset();newLinkAssetForm.$setPristine()">
                    <img src="images/leftArrowWhite.png" class="icon midBlock" alt="">
                    <div class="midBlock marginLeftSrt">PREV</div>
                </button>

            </span>
            <span ng-if="!newLinkAssetForm.$pristine">
                <button class="btn red prevAssetDetailsPopUpBtn marginRgt" data-hint=1
                        ng-if="newLinkAssetForm.$invalid"
                        ng-click="setDirectionOfPointer('previous')">

                    <img src="images/leftArrowWhite.png" class="icon midBlock" alt="">
                    <div class="midBlock marginLeftSrt">PREV</div>
                </button>
            </span>
        </span>

        <!-- next  btn to saves data-->
        <span ng-if="linkAssetsVariables[linkAssetsVariables.mainTab.selected].next.isExist">
            <button class="btn red nextAssetDetailsBtn"
            data-hint=1 ng-click="setDirectionOfPointer('next');saveAssetDetails();newLinkAssetForm.$setPristine()"
            ng-if="!newLinkAssetForm.$invalid">
                <div class="midBlock">NEXT</div>
                <img src="images/rightArrowWhite.png" class="icon midBlock marginLeftSrt" alt="">
            </button>
        </span>

        <!-- next  btn to populates pop up-->
        <span ng-if="linkAssetsVariables[linkAssetsVariables.mainTab.selected].next.isExist">
             <span ng-if="newLinkAssetForm.$pristine">
                  <button class="btn red nextAssetDetailsBtn" data-hint=1
                          ng-if="newLinkAssetForm.$invalid"
                          ng-click="setDirectionOfPointer('next');moveToNextAsset();newLinkAssetForm.$setPristine()">
                      <div class="midBlock">NEXT</div>
                      <img src="images/rightArrowWhite.png" class="icon midBlock marginLeftSrt" alt="">
                  </button>
             </span>
             <span ng-if="!newLinkAssetForm.$pristine">
                  <button class="btn red nextAssetDetailsPopUpBtn" data-hint=1
                          ng-if="newLinkAssetForm.$invalid" ng-click="setDirectionOfPointer('next')">
                      <div class="midBlock">NEXT</div>
                      <img src="images/rightArrowWhite.png" class="icon midBlock marginLeftSrt" alt="">
                  </button>
             </span>

        </span>

        <!-- save  btn to button at driver menu-->
        <span ng-if="linkAssetsVariables.mainTab.selected==='driver'">
            <button class="btn red nextAssetDetailsPopUpBtn" data-hint=1
            ng-if="newLinkAssetForm.$invalid" ng-disabled="newLinkAssetForm.$invalid">SAVE</button>
            <a ng-if="!newLinkAssetForm.$invalid" class="btn red"
           ng-click="saveAssetDetails();clearData()" href="#/necApp/links/assetLinks" >SAVE</a>
        </span>


        </div>

        <!--cancel button which route to link asset list-->
        <div class="btnMain roboRegular subNormal floatRight">
            <a class="btn cancel marginLeft" ng-click="clearData()" href="#/necApp/links/assetLinks" >CANCEL</a>
        </div>
        <span class="clear"></span>
    </div>
</div>
<!--........ next asset popup .....-->

<div class="popup midSize nextAssetDetailsPopup">
    <div class="x close">X</div>
    <div class="popupContent">
        <div class="msg smallTitle roboLight marginBtmSec">
            The form is not filled completely. The details will not be saved<br>
            Do you want to continue?
        </div>

        <div class="btnsMain">
            <span ng-if="!tabSelectedPopUp">
                <button ng-if="linkAssetsVariables.pointerDirection==='previous'"
                class="btn red midBlock marginRgt prevAssetDetailsBtn close "
                ng-click="moveToNextAsset();newLinkAssetForm.$setPristine()">Yes</button>

                <button ng-if="linkAssetsVariables.pointerDirection==='next'"
                class="btn red midBlock marginRgt nextAssetDetailsBtn close"
                ng-click="moveToNextAsset();newLinkAssetForm.$setPristine()">Yes</button>
            </span>
            <span ng-if="tabSelectedPopUp">
                <button ng-if="linkAssetsVariables.pointerDirection==='next'"
                class="btn red midBlock marginRgt close"
                ng-click="changeTab(typeSelectedOnDIrty,labelSelectedOnDIrty,false)
                ;newLinkAssetForm.$setPristine()">Yes
                </button>
            </span>


            <div class="btn midBlock close cancel" >Cancel</div>
        </div>
    </div>
</div>